Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2044700 - Review Request: tfdocgen - TiLP framework documentation generator
Summary: Review Request: tfdocgen - TiLP framework documentation generator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2048270
TreeView+ depends on / blocked
 
Reported: 2022-01-25 02:49 UTC by Davide Cavalca
Modified: 2022-02-14 01:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-01 17:42:13 UTC
Type: ---
Embargoed:
michel: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2022-01-25 02:49:27 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/tfdocgen/tfdocgen.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/tfdocgen/tfdocgen-1.00-1.20220124gita9d4bf8.fc36.src.rpm

Description:
The tfdocgen program is a program used by the libti* libraries to generate
their HTML documentation from sources and misc files. You don't need this
package unless you want to develop on the libti* libraries.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2022-01-25 02:49:30 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=81805615

Comment 2 Davide Cavalca 2022-01-25 02:50:42 UTC
Will file a ticket with releng to request it https://src.fedoraproject.org/rpms/tfdocgen be unretired when this is approved.

Comment 3 Michel Lind 2022-01-31 04:29:33 UTC
Looks fine, APPROVED

note: might want to file a bug against the forge macros, you follow this:
https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_using_forges_hosted_revision_control

but the version/release generated doesn't follow the new guidelines: https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_snapshots

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/tfdocgen
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names

=> this is fine, the package needs to be unretired

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License, Version
     2", "*No copyright* GNU General Public License v2.0 or later [obsolete
     FSF postal address (Mass Ave)]", "GNU General Public License v2.0 or
     later". 7 files have unknown license. Detailed output of licensecheck
     in
     /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tfdocgen-1.00-1.20220124gita9d4bf8.fc36/review-
     tfdocgen/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Spec file according to URL is the same as in SRPM.
     => plus minus rpmautospec
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (debuginfo)
-------------------
Cannot parse rpmlint output:



Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/debrouxl/tfdocgen/archive/a9d4bf89b9a54cdbddb970b3079d802a34d69cdb/tfdocgen-a9d4bf89b9a54cdbddb970b3079d802a34d69cdb.tar.gz :
  CHECKSUM(SHA256) this package     : f760bf06c5b450508b6b3ff785cf58d4bdfbbf9d32f92cc152bb3998deb747f1
  CHECKSUM(SHA256) upstream package : f760bf06c5b450508b6b3ff785cf58d4bdfbbf9d32f92cc152bb3998deb747f1


Requires
--------
tfdocgen (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libc.so.6()(64bit)
    libglib-2.0.so.0()(64bit)
    rtld(GNU_HASH)

tfdocgen-debuginfo (rpmlib, GLIBC filtered):

tfdocgen-debugsource (rpmlib, GLIBC filtered):



Provides
--------
tfdocgen:
    tfdocgen
    tfdocgen(aarch-64)

tfdocgen-debuginfo:
    debuginfo(build-id)
    tfdocgen-debuginfo
    tfdocgen-debuginfo(aarch-64)

tfdocgen-debugsource:
    tfdocgen-debugsource
    tfdocgen-debugsource(aarch-64)



Diff spec file in url and in SRPM
---------------------------------
--- /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tfdocgen-1.00-1.20220124gita9d4bf8.fc36/tfdocgen.spec 2022-01-24 18:49:26.000000000 -0800
+++ /home/michel/src/fedora/reviews/dcavalca/repo/results/default/tfdocgen-1.00-1.20220124gita9d4bf8.fc36/review-tfdocgen/srpm-unpacked/tfdocgen.spec     2022-01-24 18:23:23.000000000 -0800
@@ -1,2 +1,11 @@
+## START: Set by rpmautospec
+## (rpmautospec version 0.2.5)
+%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
+    release_number = 1;
+    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
+    print(release_number + base_release_number - 1);
+}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
+## END: Set by rpmautospec
+
 %global forgeurl https://github.com/debrouxl/tfdocgen
 %global commit a9d4bf89b9a54cdbddb970b3079d802a34d69cdb
@@ -43,3 +52,60 @@

 %changelog
-%autochangelog
+* Mon Jan 24 2022 Davide Cavalca <dcavalca> 1:1.00-1
+- Switch to the new upsteam
+
+* Mon Jan 24 2022 Davide Cavalca <dcavalca> 20150202git-3
+- Misc specfile fixes
+
+* Fri Jul 23 2021 Fedora Release Engineering <releng> - 20150202git-15
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
+
+* Wed Jan 27 2021 Fedora Release Engineering <releng> - 20150202git-14
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
+
+* Wed Jul 29 2020 Fedora Release Engineering <releng> - 20150202git-13
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
+
+* Fri Jan 31 2020 Fedora Release Engineering <releng> - 20150202git-12
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
+
+* Sat Jul 27 2019 Fedora Release Engineering <releng> - 20150202git-11
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
+
+* Sun Feb 03 2019 Fedora Release Engineering <releng> - 20150202git-10
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
+
+* Sat Jul 14 2018 Fedora Release Engineering <releng> - 20150202git-9
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
+
+* Fri Feb 09 2018 Fedora Release Engineering <releng> - 20150202git-8
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
+
+* Thu Aug 03 2017 Fedora Release Engineering <releng> - 20150202git-7
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
+
+* Thu Jul 27 2017 Fedora Release Engineering <releng> - 20150202git-6
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
+
+* Sat Feb 11 2017 Fedora Release Engineering <releng> - 20150202git-5
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
+
+* Fri Feb 05 2016 Fedora Release Engineering <releng> - 20150202git-4
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
+
+* Fri Jun 19 2015 Fedora Release Engineering <rel-eng.org> - 20150202git-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
+
+* Mon Feb 9 2015 'Ben Rosser' <rosser.bjr> 20150202git-2
+- Added license tag, added an extra file to doc.
+- Changed tfdocgen man page to use a wildcard encoding.
+
+* Mon Feb 2 2015 'Ben Rosser' <rosser.bjr> 20150202git-1
+- Bumped changelog and checkout date.
+
+* Fri Oct 11 2013 'Ben Rosser' <rosser.bjr> 20131011git-1
+- Updated to latest checkout from git repository
+
+* Wed Jul 11 2012 'Ben Rosser' <rosser.bjr> 20120711git-1
+- Initial version of the package
+


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in:
  tfdocgen-a9d4bf89b9a54cdbddb970b3079d802a34d69cdb/trunk/configure.ac:23


Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -p --name tfdocgen
Buildroot used: fedora-rawhide-aarch64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: SugarActivity, fonts, Java, R, Haskell, Ocaml, Python, Perl, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Davide Cavalca 2022-01-31 04:36:51 UTC
Thanks! Filed releng ticket at https://pagure.io/releng/issue/10606 to get this unretired.

Comment 5 Davide Cavalca 2022-01-31 04:44:11 UTC
Filed https://bugzilla.redhat.com/show_bug.cgi?id=2048362 for the forge macros

Comment 6 Fedora Update System 2022-02-01 17:40:45 UTC
FEDORA-2022-9115c3fccd has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9115c3fccd

Comment 7 Fedora Update System 2022-02-01 17:42:13 UTC
FEDORA-2022-9115c3fccd has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-02-04 15:09:49 UTC
FEDORA-EPEL-2022-269605ed97 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-269605ed97

Comment 9 Fedora Update System 2022-02-04 15:10:06 UTC
FEDORA-EPEL-2022-e65f189fba has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-e65f189fba

Comment 10 Fedora Update System 2022-02-04 15:10:15 UTC
FEDORA-2022-06f4a03773 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-06f4a03773

Comment 11 Fedora Update System 2022-02-04 15:10:23 UTC
FEDORA-2022-a875475190 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a875475190

Comment 12 Fedora Update System 2022-02-05 00:23:47 UTC
FEDORA-EPEL-2022-e65f189fba has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-e65f189fba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-02-05 00:33:36 UTC
FEDORA-EPEL-2022-269605ed97 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-269605ed97

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-02-05 01:31:29 UTC
FEDORA-2022-06f4a03773 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-06f4a03773 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-06f4a03773

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-02-05 02:12:02 UTC
FEDORA-2022-a875475190 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-a875475190 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a875475190

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-02-05 14:32:39 UTC
FEDORA-EPEL-2022-2dad8bcca4 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2dad8bcca4

Comment 17 Fedora Update System 2022-02-06 02:35:55 UTC
FEDORA-EPEL-2022-2dad8bcca4 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2dad8bcca4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2022-02-13 00:39:48 UTC
FEDORA-EPEL-2022-269605ed97 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-02-13 01:06:26 UTC
FEDORA-2022-06f4a03773 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-02-13 01:14:54 UTC
FEDORA-2022-a875475190 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2022-02-13 02:25:53 UTC
FEDORA-EPEL-2022-e65f189fba has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2022-02-14 01:18:13 UTC
FEDORA-EPEL-2022-2dad8bcca4 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.